Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1
Enum CDBVTCONSERVATIONMODEvalues

    java.lang.Object
      java.lang.Enum<CDBVTCONSERVATIONMODEvalues>
          be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDBVTCONSERVATIONMODEvalues

All Implemented Interfaces:
  Serializable, Comparable<CDBVTCONSERVATIONMODEvalues>

    public enum CDBVTCONSERVATIONMODEvalues

extends Enum<CDBVTCONSERVATIONMODEvalues>

Java class for CD-BVT-CONSERVATIONMODEvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-BVT-CONSERVATIONMODEvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="minus20degreesc"/>
         <enumeration value="minus80degreesc"/>
         <enumeration value="minus120degreesorcolder"/>
         <enumeration value="liquidnitrogen"/>
         <enumeration value="inclusioninparaffin"/>
         <enumeration value="other"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`INCLUSIONINPARAFFIN`
`LIQUIDNITROGEN`
`MINUS_120_DEGREESORCOLDER`
`MINUS_20_DEGREESC`
`MINUS_80_DEGREESC`
`OTHER`

Method Summary
`static CDBVTCONSERVATIONMODEvalues` | `fromValue(String v)`
`String` | `value()`
`static CDBVTCONSERVATIONMODEvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDBVTCONSERVATIONMODEvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MINUS_20_DEGREESC

    public static final CDBVTCONSERVATIONMODEvalues MINUS_20_DEGREESC

### MINUS_80_DEGREESC

    public static final CDBVTCONSERVATIONMODEvalues MINUS_80_DEGREESC

### MINUS_120_DEGREESORCOLDER

    public static final CDBVTCONSERVATIONMODEvalues MINUS_120_DEGREESORCOLDER

### LIQUIDNITROGEN

    public static final CDBVTCONSERVATIONMODEvalues LIQUIDNITROGEN

### INCLUSIONINPARAFFIN

    public static final CDBVTCONSERVATIONMODEvalues INCLUSIONINPARAFFIN

### OTHER

    public static final CDBVTCONSERVATIONMODEvalues OTHER

Method Detail

### values

    public static CDBVTCONSERVATIONMODEvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDBVTCONSERVATIONMODEvalues c : CDBVTCONSERVATIONMODEvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDBVTCONSERVATIONMODEvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDBVTCONSERVATIONMODEvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging TRUSSMAKER 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.